Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.

Bug 157789

Summary: Patch to remove dependency on gnomecanvas for timezone portion
Product: [Fedora] Fedora Reporter: John N. Laliberte <allanonjl>
Component: system-config-dateAssignee: Nils Philippsen <nphilipp>
Status: CLOSED INSUFFICIENT_DATA QA Contact:
Severity: medium Docs Contact:
Priority: medium    
Version: rawhideKeywords: FutureFeature
Target Milestone: ---   
Target Release: ---   
Hardware: All   
OS: Linux   
URL: http://dev.gentoo.org/~allanonjl/installer/timezone.diff
Whiteboard:
Fixed In Version: Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2006-05-05 20:39:13 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
Bug Depends On:    
Bug Blocks: 150221    

Description John N. Laliberte 2005-05-15 16:55:11 UTC
Description of problem:

This diff removes the dependency of gnomecanvas from the timezone section of
this tool.  Not sure if this helps you or not, but it was necessary for me to do
this to use it in another place. ( figured that you might be interested in it )

Comment 1 Nils Philippsen 2005-08-19 10:03:39 UTC
It's interesting but some things I have in mind with s-c-date won't let me use
this here as it is... if you have the time and want to do it, you could extract
all common stuff into a TimeZoneMapBase class, then have a TimeZoneMapCanvas and
TimeZoneMapLightweight (or whatever you want to call it) class deriving from it.
This way it would be worthwhile here, i.e. I could put all the fancy stuff in
the former class but if gnomecanvas isn't available I could fall back to using
your implementation.

What do you think?

Comment 2 John Thacker 2006-05-05 20:39:13 UTC
Closing due to lack of response.